<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.ejb3.thread-pool">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="core-threads,keepalive-time,max-threads,thread-factory"/>
        <elem name="addr-params" value="profile,subsystem,thread-pool"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.threads.executor.ejb3.$thread-pool"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.threads.thread-factory.$thread-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.ejb3"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="keepalive-time" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="thread-factory" nillable="true"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
        <param name="thread-pool" feature-id="true"/>
        <param name="core-threads" nillable="true"/>
        <param name="max-threads"/>
    </params>
</feature-spec>